org.apache.solr.client.solrj.impl

## Class HttpClientUtil.SchemaRegistryProvider

- java.lang.Object
- - org.apache.solr.client.solrj.impl.HttpClientUtil.SchemaRegistryProvider

Enclosing class:
  HttpClientUtil

    public abstract static class HttpClientUtil.SchemaRegistryProvider
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SchemaRegistryProvider()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract org.apache.http.config.Registry<org.apache.http.conn.socket.ConnectionSocketFactory>` `getSchemaRegistry()` Must be non-null

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SchemaRegistryProvider

    public SchemaRegistryProvider()

### Method Detail

#### getSchemaRegistry

    public abstract org.apache.http.config.Registry<org.apache.http.conn.socket.ConnectionSocketFactory> getSchemaRegistry()

Must be non-null